#pragma once

#include "ActorInterface.h"
#include "WASCommand.h"
#include "WASActor.h"

class CWASListMember : public CWASCommand
{
public:
	CWASListMember(CWASActor *pActor);
	~CWASListMember(void);

	void ExecuteAsync(void);

	void SetParameter(int nGroupType, LPCWSTR strParentGrpID, LPCWSTR strGrpID, LPCWSTR strLangCode, LPCWSTR strFunction)
	{
		m_strParentGrpID = strParentGrpID;
		m_nGroupType = nGroupType;
		m_strGrpID =  strGrpID;
		m_strFunction = strFunction;
		m_strLangCode = strLangCode;
	}

private:
	bool ParseAndEventFire(nfc::CIkXMLDom * pDom);

protected:
	// override in drived class
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		nfc::CIkXMLDom * /*pDom*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);

private:
	WSTRING m_strParentGrpID;
	WSTRING m_strGrpID;
	int		m_nGroupType;
	WSTRING m_strFunction;
	WSTRING m_strLangCode;

	std::vector<NE_MEMBER_DATA> m_listMemberPrivate;
	std::vector<NE_MEMBER_DATA> m_listMember;


};
